package domain

type AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest struct {
	/*
	   券模版     */
	CouponTemplate *AlibabaWdkCouponTemplateUpdateCouponTemplate `json:"coupon_template,omitempty" `

	/*
	   用户信息     */
	UserInfo *AlibabaWdkCouponTemplateUpdateUserInfo `json:"user_info,omitempty" `
}

func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest) SetCouponTemplate(v AlibabaWdkCouponTemplateUpdateCouponTemplate) *AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest {
	s.CouponTemplate = &v
	return s
}
func (s *AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest) SetUserInfo(v AlibabaWdkCouponTemplateUpdateUserInfo) *AlibabaWdkCouponTemplateUpdateCouponTemplateOperateRequest {
	s.UserInfo = &v
	return s
}
